# Ubuntu Yaru theme suite

Yaru is the default theme for Ubuntu, backed by the community.

It contains:
 * a GNOME Shell theme based on the [upstream GNOME shell theme](https://github.com/GNOME/gnome-shell/tree/master/data/theme)
 * a light and dark GTK theme (gtk2 and gtk3) based on the [upstream Adwaita Gtk theme](https://github.com/GNOME/gtk/tree/gtk-3-24/gtk/theme/Adwaita)
 * an icon & cursor theme, derived from the Unity8 Suru icons and [Suru icon](https://snwh.org/suru) theme
 * a sound theme, combining sounds from the [WoodenBeaver](https://github.com/madsrh/WoodenBeaver) and [Touch-Remix](https://github.com/madsrh/TouchRemix) sound themes.

![FilesLight](.github/readme_pics/nautilus-light.png)

![FilesDark](.github/readme_pics/nautilus-dark.png)

![widgetfactorylight](.github/readme_pics/factory-light.png)

![widgetfactorydark](.github/readme_pics/factory-dark.png)

![ShellPopups](.github/readme_pics/shell-light.png)

![ShellPopupsDark](.github/readme_pics/shell-dark.png)

![Appgrid](.github/readme_pics/appgrid.png)

## Using Yaru on Ubuntu

The Yaru theme suite is installed with Ubuntu 18.10+ by default! No further steps are required to use it.

_Installing from source is not recommended for average usage!_

## Copying or Reusing

This project has mixed licencing. You are free to copy, redistribute and/or modify aspects of this work under the terms of each licence accordingly (unless otherwise specified).

The Yaru icon assets (any and all source `.svg` files or rendered `.png` files) are licensed under the terms of the [Creative Commons Attribution-ShareAlike 4.0 License](https://creativecommons.org/licenses/by-sa/4.0/).

Included scripts are free software licensed under the terms of the [GNU General Public License, version 3](https://www.gnu.org/licenses/gpl-3.0.txt).

## I want to be part of it!

Great, we're looking forward to your PR!

Read [CONTRIBUTING.md](./CONTRIBUTING.md) to figure out how to get started.
